#include "dataloader.h"
#include <iostream>

DataLoader::DataLoader()
{

}

DataResult1D DataLoader::doLoad(const DataRequest &request) {
    std::vector<double> x, y;
    x = request.array.getDimension(1).asSampledDimension().axis(request.count[0], request.start[0]);
    request.array.getData(y, request.count, request.start);

    DataResult1D res(request.id, request.array.id(), x, y);
    return res;
}
